var fs     = require('fs');
var path   = require('path');
var rimraf = require('rimraf');
var yaml   = require('js-yaml');

// Creates an HTML page out of a documentation object, and writes it to disk.
// tree: a component object generated by Super.parse().
module.exports = function(data) {
  // Render a template with the component's data and write it to disk
  var output = '';

  // Catch Handlebars errors, because they won't show up in the Gulp console
  try {
    output = this.template(data);
  }
  catch(e) {
    throw new Error('Handlebars error: ' + e.message);
  }

  if (this.options.keepFm) {
    output = '---\n' + yaml.safeDump(data.__fm) + '\n---\n\n' + output;
  }

  return output;
}
